Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.icore.process
Interface ProcessModelManager

All Superinterfaces:
  Annotated

All Known Implementing Classes:
  AbstractPMM, Ip2ModelManager, IPlanModelManager

    public interface ProcessModelManager

extends Annotated

Method Summary
`void` | `addConstraint(Constrainer constraint)`
`void` | `addConstraint(PNode node, Constraint c)`
`void` | `addConstraints(java.util.List constraints)`
`void` | `addConstraints(PNode node, java.util.List constraints)`
`void` | `addNode(PNode node)`
`void` | `addProcessStatusListener(ProcessStatusListener listener)`
`void` | `addVariable(Variable v)`
`void` | `bindVariables(java.util.Map bindings)` Tells the model manager to bind the indicated variables.
`void` | `clear()`
`void` | `deleteConstraint(Constraint c)`
`java.util.List` | `evalFilters(ix.icore.domain.ListOfConstraint conds, MatchEnv env)`
`void` | `fireNewBindings(java.util.Map bindings)`
`void` | `fireStateChange(java.util.Map delta)`
`void` | `fireStateDeletion(java.util.Map delta)`
`void` | `fireStatusUpdate()`
`ConstraintManager` | `getConstraintManager(Constraint c)`
`ConstraintManager` | `getConstraintManager(Symbol type, Symbol rel)`
`ix.icore.domain.ListOfConstraint` | `getNodeConditions(PNode node)`
`java.util.List` | `getNodes()`
`Plan` | `getPlan()`
`java.util.Map` | `getVarEnv()`
`Variable` | `getVariable(java.lang.Object name)`
`LList` | `putVariablesInPattern(LList pattern)` Returns a copy of the pattern in which `ItemVar`s have been replaced by `Variable`s.
`void` | `registerConstraintManager(Symbol type, Symbol relation, ConstraintManager cm)`
`void` | `reset()`
`void` | `setPlan(Plan plan)`
`void` | `statusChanged(PNode node)` Called by a node when its status changes.
`ix.icore.domain.ListOfConstraint` | `testFilters(ix.icore.domain.ListOfConstraint conds, MatchEnv env)`

Methods inherited from interface ix.icore.Annotated
`addAnnotationListener, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, removeAnnotation, setAnnotation, setAnnotations, takeAnnotations`

Method Detail

### reset

    void reset()

### clear

    void clear()

### addVariable

    void addVariable(Variable v)

### getVariable

    Variable getVariable(java.lang.Object name)

### getVarEnv

    java.util.Map getVarEnv()

### addNode

    void addNode(PNode node)

### getNodes

    java.util.List getNodes()

### addConstraints

    void addConstraints(PNode node,
                        java.util.List constraints)

### addConstraints

    void addConstraints(java.util.List constraints)

### addConstraint

    void addConstraint(PNode node,
                       Constraint c)

### addConstraint

    void addConstraint(Constrainer constraint)

### deleteConstraint

    void deleteConstraint(Constraint c)

### evalFilters

    java.util.List evalFilters(ix.icore.domain.ListOfConstraint conds,
                               MatchEnv env)

### testFilters

    ix.icore.domain.ListOfConstraint testFilters(ix.icore.domain.ListOfConstraint conds,
                                                 MatchEnv env)

### getNodeConditions

    ix.icore.domain.ListOfConstraint getNodeConditions(PNode node)

### registerConstraintManager

    void registerConstraintManager(Symbol type,
                                   Symbol relation,
                                   ConstraintManager cm)

### getConstraintManager

    ConstraintManager getConstraintManager(Symbol type,
                                           Symbol rel)

### getConstraintManager

    ConstraintManager getConstraintManager(Constraint c)

### bindVariables

    void bindVariables(java.util.Map bindings)

  Tells the model manager to bind the indicated variables. This is the only way in which values should ever be assigned.

  See Also:
    `Variable`

### statusChanged

    void statusChanged(PNode node)

  Called by a node when its status changes.

### putVariablesInPattern

    LList putVariablesInPattern(LList pattern)

  Returns a copy of the pattern in which `ItemVar`s have been replaced by `Variable`s.

### getPlan

    Plan getPlan()

### setPlan

    void setPlan(Plan plan)

### addProcessStatusListener

    void addProcessStatusListener(ProcessStatusListener listener)

### fireStatusUpdate

    void fireStatusUpdate()

### fireNewBindings

    void fireNewBindings(java.util.Map bindings)

### fireStateChange

    void fireStateChange(java.util.Map delta)

### fireStateDeletion

    void fireStateDeletion(java.util.Map delta)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD